Javadoc.ExtensionInfo (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Javadoc.ExtensionInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javadoc.ExtensionInfo

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.Javadoc.ExtensionInfo

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  Javadoc.DocletInfo

Enclosing class:
  Javadoc

    public static class Javadoc.ExtensionInfo

extends ProjectComponent

A project aware class used for Javadoc extensions which take a name and a path such as doclet and taglet arguments.

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Javadoc.ExtensionInfo()`

Method Summary
`Path` | `createPath()` Create an empty nested path to be configured by Ant with the classpath for the extension.
`java.lang.String` | `getName()` Get the name of the extension.
`Path` | `getPath()` Get the extension's path.
`void` | `setName(java.lang.String name)` Set the name of the extension
`void` | `setPath(Path path)` Set the path to use when loading the component.
`void` | `setPathRef(Reference r)` Adds a reference to a CLASSPATH defined elsewhere.

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javadoc.ExtensionInfo

    public Javadoc.ExtensionInfo()

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the extension

  Parameters:
    `name` - the extension's name.

### getName

    public java.lang.String getName()

  Get the name of the extension.

  Returns:
    the extension's name.

### setPath

    public void setPath(Path path)

  Set the path to use when loading the component.

  Parameters:
    `path` - a Path instance containing the classpath to use.

### getPath

    public Path getPath()

  Get the extension's path.

  Returns:
    the path to be used to load the extension. May be `null`

### createPath

    public Path createPath()

  Create an empty nested path to be configured by Ant with the classpath for the extension.

  Returns:
    a new Path instance to be configured.

### setPathRef

    public void setPathRef(Reference r)

  Adds a reference to a CLASSPATH defined elsewhere.

  Parameters:
    `r` - the reference containing the path.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD